#! /bin/sh
### BEGIN INIT INFO
# Provides:          invirt-web-iptables
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Invirt web server iptables rules
# Description:       
### END INIT INFO

NAME=invirt-web-iptables
DESC="Invirt web server iptables rules"
RULES=/usr/share/invirt-web-iptables/iptables.rules
GEN_FILES=$RULES
PATH=/sbin:/usr/sbin:/bin:/usr/bin

dpkg -s "$NAME" >/dev/null 2>/dev/null || exit 0

. /lib/init/gen-files.sh
. /lib/init/std-init.sh

do_start()
{
	gen_files
        echo 1 > /proc/sys/net/ipv4/ip_forward
	/sbin/iptables-restore < $RULES
}

do_reload()
{
	do_start
}

do_stop()
{
	return 0
}

std_init "$1"
